%define api	2.0
%define major	0
%define libname	%mklibname gnet %{api}  %{major}
%define devname	%mklibname gnet %{api} -d

Summary:	A network library
Name:		gnet2
Version:	2.0.8
Release:	%mkrel 16
URL:		https://wiki.gnome.org/GNetLibrary/
License:	LGPL
Source0:	gnet-%{version}.tar.bz2
Patch0:		gnet2-2.0.8-build.patch
Group:		System/Libraries
BuildRequires:	glib2-devel

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n %{libname}
Summary:	Libgnet, a network library
Group:		System/Libraries
Obsoletes:	%{_lib}gnet-2.0_0 < 2.0.8-11

%description -n	%{libname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n	%{devname}
Summary:	Header files for the Gnet library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnet%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gnet-2.0-devel < 2.0.8-11

%description -n	%{devname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.

This package allows you to develop applications that use the Gnet
library.

%prep

%setup -q -n gnet-%{version}
chmod 755 doc/html
%autopatch -p1

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgnet%{api_version}-dev
rm -fr %{buildroot}%{_datadir}/gtk-doc/

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libgnet-%{api}.so.%{major}
%{_libdir}/libgnet-%{api}.so.%{major}.*

%files -n %{devname}
%doc README ChangeLog NEWS TODO AUTHORS HACKING doc/html
%{_includedir}/gnet-2.0/
%{_datadir}/aclocal/*
%{_libdir}/gnet-2.0/
%{_libdir}/libgnet-%{api}.so
%{_libdir}/pkgconfig/gnet-%{api}.pc



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 2.0.8-16.mga6
+ Revision: 936381
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-15.mga5
+ Revision: 743392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-14.mga5
+ Revision: 679692
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 2.0.8-13.mga4
+ Revision: 550155
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 2.0.8-12.mga4
+ Revision: 532632
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 2.0.8-11.mga4
+ Revision: 469018
- fix lib and devel pkg names
- disable static build and drop .la files
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-10.mga3
+ Revision: 351933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 pterjan <pterjan> 2.0.8-9.mga3
+ Revision: 325555
- Add Fedora patch fixing build

  + solbu <solbu>
    - Fix url

  + ovitters <ovitters>
    - clean spec

* Wed Feb 23 2011 ennael <ennael> 2.0.8-6.mga1
+ Revision: 58123
- clean spec file
- imported package gnet2


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-6mdv2011.0
+ Revision: 605468
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2010.1
+ Revision: 521130
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.8-4mdv2010.0
+ Revision: 424994
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-3mdv2009.0
+ Revision: 234792
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.8-2mdv2009.0
+ Revision: 221080
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.0.8-1mdv2008.1
+ Revision: 162043
- new version

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.0.7-4mdv2008.1
+ Revision: 150112
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.org> 2.0.7-3mdv2008.0
+ Revision: 54155
- rebuild for 2008
- new devel policy


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 18:20:25 (53607)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 18:18:24 (53606)
Import gnet2

* Tue Jul 26 2005 Olivier Thauvin <nanardon@mandriva.org> 2.0.7-1mdk
- 2.0.7

* Thu Jun 10 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.5-3mdk
- really fix buildrequires

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.5-2mdk
- fix buildrequires

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.5-1mdk 
- 2.0.5
- misc spec file fixes

